Package gov.nasa.gsfc.sscweb.schema

# Class GroundStation

java.lang.Object
gov.nasa.gsfc.sscweb.schema.GroundStation

Direct Known Subclasses:
  `GroundStationConjunction`

public class GroundStation extends Object
Ground Station. <p>Java class for GroundStation complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="GroundStation"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="Id" type="{http://sscweb.gsfc.nasa.gov/schema}GroundStationId"/> <element name="Name" type="{http://www.w3.org/2001/XMLSchema}string"/> <element name="Location" type="{http://sscweb.gsfc.nasa.gov/schema}SurfaceGeographicCoordinates"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `id`
  Ground station identifier.
  `protected SurfaceGeographicCoordinates`
  `location`
  Ground station Location.
  `protected String`
  `name`
  Ground station name.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroundStation()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  Ground station identifier.
  `SurfaceGeographicCoordinates`
  `getLocation()`
  Ground station Location.
  `String`
  `getName()`
  Ground station name.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setLocation(SurfaceGeographicCoordinates value)`
  Sets the value of the location property.
  `void`
  `setName(String value)`
  Sets the value of the name property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### id

    protected String id
    Ground station identifier.

  - ### name

    protected String name
    Ground station name.

  - ### location

    protected SurfaceGeographicCoordinates location
    Ground station Location. This value should be in the CoordinateSystem specified in the enclosing GroundStationCondition.

- ## Constructor Details

  - ### GroundStation

    public GroundStation()

- ## Method Details

  - ### getId

    public String getId()
    Ground station identifier.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getId()`

  - ### getName

    public String getName()
    Ground station name.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getName()`

  - ### getLocation

    public SurfaceGeographicCoordinates getLocation()
    Ground station Location. This value should be in the CoordinateSystem specified in the enclosing GroundStationCondition.
    Returns:
      possible object is `SurfaceGeographicCoordinates`

  - ### setLocation

    public void setLocation(SurfaceGeographicCoordinates value)
    Sets the value of the location property.
    Parameters:
      `value` - allowed object is `SurfaceGeographicCoordinates`
    See Also:
      - `getLocation()`